Failed to install Tools required for building Ruby gems component

Created:

2017-01-15 13:55:34 UTC

Modified:

2017-08-08 13:46:06 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Failed to install Tools required for building Ruby gems component

Symptoms

  • On CloudLinux attempt to install "Tools required for building Ruby gems" failed:

YumDownloadError: [u'Errors were encountered while downloading packages.', u'plesk-gems-pre-0.0.1-centos7.16112413.x86_64: [Errno 256] No more mirrors to try.']

  • `/var/plesk.log/autoinstall.log` contains the following:

plesk-gems-pre-0.0.1-centos7.16112413.x86_64.rpm | 2.1 kB 00:00 http://autoinstall.plesk.com/PSA_17.0.17/dist-rpm-CloudLinux-7-x86_64/opt/ruby/plesk-gems-pre-0.0.1-centos7.16112413.x86_64.rpm: [Errno -1] Package does not match intended download. Suggestion: run yum --enablerepo=PLESK_17_0_17-dist clean metadata Trying other mirror. Error while preparing to install packages: [u'Errors were encountered while downloading packages.', u'plesk-gems-pre-0.0.1-centos7.16112413.x86_64: [Errno 256] No more mirrors to try.']. Trying again.

Cause

Metadata inconsistency in Plesk repository for CloudLinux. 

Workaround

Download and install the package locally:

# wget http://autoinstall.plesk.com/PSA_17.0.17/dist-rpm-CloudLinux-7-x86_64/opt/ruby/plesk-gems-pre-0.0.1-centos7.16112413.x86_64.rpm

# yum localinstall plesk-gems-pre-0.0.1-centos7.16112413.x86_64.rpm

Have more questions? Submit a request
Please sign in to leave a comment.